## ddd 3.3.12

=== debian/changelog ===
ddd (1:3.3.12-5.4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:26 +1100

ddd (1:3.3.12-5.4build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:47:40 +0000

ddd (1:3.3.12-5.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + ddd-doc: Add Multi-Arch: foreign.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #834016)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 17 Nov 2022 12:13:34 -0800

ddd (1:3.3.12-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Only modify manpage in arch builds (Closes: #981969)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Feb 2021 22:05:37 +0100

ddd (1:3.3.12-5.2) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a patch to fix gcc9 build (Closes: #925666)

  [ Raphaël Hertzog ]
  * Add Vcs-* headers for the new git repository on salsa
  * Switch packaging to modern debhelper (get rid of CDBS)
  * Fix path of documentation in doc-base
  * Add Recommends on sensible-utils for /etc/X11/app-defaults/Ddd and
    /usr/share/ddd/ddd/Ddd
  * Drop leading "The" on short description
  * Update FSF address in debian/copyright
  * Don't install empty directories
  * Drop old-menu entry as we have a .desktop entry

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Oct 2019 14:13:39 +0200

ddd (1:3.3.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Build-depends against libelf-dev instead of libelfg0-dev,
    the later doesn't seem to be maintained anymore. (Closes: #803758)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Nov 2015 12:31:12 +0100

ddd (1:3.3.12-5) unstable; urgency=low

  * Switch from lesstif to motif.  Closes: #714657.
  * Use dh-autoreconf instead of the previous hand-rolled version.
  * Remove old ddd-doc.preinst which was for upgrading from older versions
    than what's in oldstable.

 -- Daniel Schepler <schepler@debian.org>  Sat, 06 Jul 2013 12:50:28 -0700

ddd (1:3.3.12-4) unstable; urgency=low

  * Remove broken ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST configure test,
    which caused the configure process to thrash the swap and hang.
    Closes: #682627.

 -- Daniel Schepler <schepler@debian.org>  Tue, 21 Aug 2012 19:10:20 -0700

ddd (1:3.3.12-3) unstable; urgency=low

  * Add -ltinfo to the search path for termcap libraries.  Closes: #646170.
  * Add Build-Depends on info and texinfo.
  * Remove libxp-dev from Build-Depends, and force configure script not to
    search for it.  Closes: #623640.
  * Add -Wl,--as-needed to LDFLAGS, to get rid of useless direct linking
    against SM, ICE, Xpm, Xext libraries.

 -- Daniel Schepler <schepler@debian.org>  Sat, 03 Dec 2011 09:59:21 -0800

ddd (1:3.3.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix machine code window view (Closes: #597328)

 -- Wookey <wookey@debian.org>  Fri, 08 Jul 2011 17:29:38 +0100

ddd (1:3.3.12-2) unstable; urgency=low

  * Drop versioned lpr Build-Depends and instead force LPR=lpr in the
    configure script's environment. This will hopefully allow ddd to build
    on kfreebsd-* and migrate into testing, addressing #595849.
  * Do the same for other utilities not actually used at build time other
    than to fill out the app-defaults file.
  * Update to 3.0 (quilt) source format.
  * Install icon referenced by ddd.desktop.  Closes: #592983.

 -- Daniel Schepler <schepler@debian.org>  Sat, 11 Sep 2010 11:28:06 -0700

ddd (1:3.3.12-1) unstable; urgency=low

  * New upstream release.  Closes: #555511.  Thanks to giagimari@libero.it
    for pointing out that upstream had moved.
    + Includes new .desktop file.  Closes: #513640.
  * Put version on lpr Build-Depends to make sure providing package
    doesn't result in wrong command in app-default file.
  * Adjust Build-Depends for readline 6 transition.  Closes: #553746.
  * Fix build error with g++-4.4.  Closes: #504868.
  * Minor improvement to package description, thanks to Reuben Thomas.
    Closes: #460139.

 -- Daniel Schepler <schepler@debian.org>  Tue, 10 Nov 2009 14:01:10 -0800

ddd (1:3.3.11-1) unstable; urgency=low

  * New upstream release.
  * Rebuild using g++-4.0.
  * Drop obsolete Build-Depends on g++ and libstdc++5-3.3-dev.
    Closes: #300216.
  * Remove Suggests on bashdb, which no longer exists.  Closes: #294631.
  * New patch 003_data_path.diff: change default data directory to
    /usr/share/ddd, with /usr/share/ddd-$(VERSION) as an alternate,
    instead of the other way around.
  * New patch 004_userinfo.diff: add --with-userinfo option to configure
    to make it easier to override the autodetection.
  * Update to Standards-Version 3.6.2 (no changes needed).

 -- Daniel Schepler <schepler@debian.org>  Sun, 10 Jul 2005 02:24:07 -0700

ddd (1:3.3.9-3) unstable; urgency=low

  * USERINFO has been renamed to USERINFO.txt; adjust debian/rules code
    to match, to get correct information on the About DDD dialog.

 -- Daniel Schepler <schepler@debian.org>  Thu, 22 Jul 2004 03:49:37 -0700

ddd (1:3.3.9-2) unstable; urgency=low

  * Rebuild against libstdc++5-3.3-dev 1:3.3.4-5 to get dynamic
    linking against -lstdc++.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 17:03:59 -0700

ddd (1:3.3.9-1) unstable; urgency=low

  * New upstream release.
    + Fixes build with gcc-3.4.  Closes: #258613.
    + Drops requirement for libiberty.  Remove Build-Depends on
      binutils-dev.
  * Remove debian/watch file, since the Sourceforge download mirrors
    no longer seem to support listing directories.
  * Split changes to source code into debian/patches/.
    + Remove ddd/Makefile.in install-info patch, which has been resolved
      upstream.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 00:17:24 -0700


