=== debian/control ===
Source: ddd
Section: devel
Priority: optional
Build-Depends: bison, debhelper-compat (= 12), flex, info, libmotif-dev, libreadline-dev, libxaw7-dev, texinfo, libelf-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Schepler <schepler@debian.org>
Homepage: http://www.gnu.org/software/ddd/
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/ddd.git
Vcs-Browser: https://salsa.debian.org/debian/ddd

Package: ddd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb (>= 7.1), sensible-utils
Suggests: ddd-doc, perl (>= 5.8.0), pydb, info, glibc-doc, xterm, x11-utils, gnuplot, rsh-client, cups-bsd | lpr
Conflicts: ddd-smotif, ddd-dmotif
Replaces: ddd-smotif, ddd-dmotif
Description: Data Display Debugger, a graphical debugger frontend
 The Data Display Debugger (DDD) is a popular graphical user interface to
 UNIX debuggers such as GDB, DBX, XDB, JDB and others. Besides typical
 front-end features such as viewing source texts and breakpoints, DDD
 provides an interactive graphical data display, where data structures are
 displayed as graphs. Using DDD, you can reason about your application by
 watching its data, not just by viewing it execute lines of source code.
 .
 Other DDD features include: debugging of programs written in Ada, Bash, C,
 C++, Chill, Fortran, Java, Modula, Pascal, Perl and Python; machine-level
 debugging; hypertext source navigation and lookup; breakpoint, backtrace,
 and history editors; preferences and settings editors; program execution
 in terminal emulator window; debugging on remote host; on-line manual;
 interactive help on the Motif user interface; GDB/DBX/XDB command-line
 interface with full editing, history, and completion capabilities.
 .
 This version is linked against Lesstif, an LGPL-ed implementation of Motif.

Package: ddd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: pdf-viewer, postscript-viewer, ddd
Replaces: ddd (<< 3.1.90)
Multi-Arch: foreign
Description: Additional documentation for the Data Display Debugger
 The "Debugging with DDD" and "Writing DDD Themes" User's Guide and 
 Reference Manual in PDF format ("info" versions are included in the "ddd"
 package itself).
 .
 The technical report "DDD---A Free Graphical Front-End for UNIX Debuggers"
 in PostScript format.
